<div class="message-dialog">
  <div class="container">
    <mat-toolbar class="mb-1">
      <span>Wyślij wiadomość do {{employee?.data?.firstName}} {{employee?.data?.lastName}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="messageForm" (submit)="onSend()">
      <div fxLayout="column">

        <mat-form-field>
          <input matInput formControlName="topic" placeholder="Temat wiadomości" required>
          <mat-error>Temat wiadomości jest wymagany.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <textarea matInput formControlName="text" placeholder="Treść" required></textarea>
          <mat-error>Treść wiadomości jest wymagana.</mat-error>
        </mat-form-field>
      </div>

      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="messageForm.invalid">
          Wyślij
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>

    </form>
  </div>
</div>
